package com.jz.dm.mall.moduls.controller.finance;

import com.jz.common.base.BaseController;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.order.bean.OrderDto;
import com.jz.dm.mall.moduls.service.FinanceTradeFlowService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * 企业客户交易流水(TFinanceTradeFlow)表控制层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:39
 */
@RestController
@RequestMapping("/financeTradeFlow")
@Api(tags = "利润中心")
public class FinanceTradeFlowController extends BaseController {
    /**
     * 服务对象
     */
    @Autowired
    private FinanceTradeFlowService financeTradeFlowService;

    /**
     * 订单管理列表（分页查询）
     *
     * @author Bellamy
     */
    @GetMapping(value = "/getAccountMoney")
    @ApiOperation(value = "充值----获取账户余额", notes = "获取账户余额")
    public Result<OrderDto> getAccountMoney(HttpServletRequest req) throws Exception {
        return new Result<>();
    }

}